<?php

/**
 * If you haven't edited php.ini to add the Zend Framework and the
 * Zend Framework Incubator to the PHP include_path, then do so here.
 * Don't use mine!
 */
set_include_path(
    'lib'
    . PATH_SEPARATOR . get_include_path()
);


include_once dirname(__FILE__).'/traduction.php';


/**
 * Make sure Zend_Oauth's Consumer is loaded
 */
require_once dirname(__FILE__).'/lib/Zend/Oauth/Consumer.php';

/** Zend_Locale */
require_once dirname(__FILE__).'/lib/Zend/Locale.php';
 
/** Zend_Translate_Adapter */
require_once dirname(__FILE__).'/lib/Zend/Translate/Adapter.php';

/**
 * Start up the ol' session engine
 */
session_start();

/**
 * Include the configuration data for our OAuth Client (array $configuration)
 */
include_once dirname(__FILE__).'/config.php';

/**
 * Setup an instance of the Consumer for use
 */
$consumer = new Zend_Oauth_Consumer($configuration);

/**
 * TRADUCTION
**/


Zend_Loader::loadClass('Zend_Translate'); 
Zend_Loader::loadClass('Zend_Http_Cookie'); 


$client = new Zend_Http_Client();
$translate = new Zend_Translate('array', $init, 'fr');

$translate->addTranslation($english, 'en');
$translate->addTranslation($japan, 'ja_JP');
$translate->addTranslation($french, 'fr');

$actual = $translate->getLocale();

//$translate->setLocale("en");
// $acceptCookie = $this->_request->getCookie('acceptCookie',0);

if(isset($_GET['lang'])==false and isset($_SESSION['lang'])==false){
	
	if($actual!='fr' and $actual!='en' and $actual!='ja_JP'){
		$translate->setLocale("fr");
		 $_SESSION['lang']="fr";
	}
	
} else if (isset($_GET['lang'])==true){
	$translate->setLocale($_GET['lang']);
    $_SESSION['lang'] = $_GET['lang'];
    $actual = $_SESSION['lang'];

} else if (isset($_SESSION['lang'])==true){
	$translate->setLocale( $_SESSION['lang']);
    $actual = $_SESSION['lang'];
	
}

/* NEXT CONFERENCE AND CLIENT PAGE INFORMATION
*/
/* CLIENT VAR LIVE */

$C_hashtag	= "#CHI07";
$C_link 	= "http://www.iri.centrepompidou.fr/evenement/interfaces-de-demain/";
$C_title 	= "Interfaces de demain";
$C_abstract = "VIDEO SHOWCASE Interfaces de demain: Du sol à la table interactive en passant par le mur…
07  Juillet de 19h à 21h Salle Piazza ";
$C_REP   = "sig-chi-paris-2011/";
$C_description  = "VIDEO SHOWCASE Interfaces de demain: Du sol à la table interactive en passant par le mur…<br/>

	7th July 2011, 7:00 – 9:00 pm  : Salle Piazza au Centre Pompidou <br/>
	ACM SigCHI Paris vous propose un panorama des dernières recherches en interaction homme-machine le 7 juillet 2011, de 19h à 21h au Centre Pompidou (salle Piazza). Des chercheurs vous présenteront les dernières avancées sous forme d’une diffusion vidéo organisée en 5 thèmes :
	<ul>
		<li> nouvelles technologies</li>
		<li>	tables interactives</li>
		<li>	interaction tactile</li>
		<li>	interaction gestuelle</li>
		<li>	visualisation d’informations</li>
	</ul>
		La diffusion sera suivie d’une discussion informelle autour d’un apéritif.
	Cet événement est organisé par le LRI (Université Paris-Sud et CNRS), l’INRIA, Telecom ParisTech et l’IRI.	";

$C_partenaires  = 	"<a href='http://www.iri.centrepompidou.fr/' class='footerLink' target='_blank'> IRI </a>
		 |  <a href='http://www.lri.fr/' class='footerLink' target='_blank' > LRI  </a>
		 |  <a href='http://www.inria.fr/' class='footerLink' target='_blank' > INRIA</a>
	     |  <a href='http://www.cnrs.fr/telecom' class='footerLink' target='_blank' > CNRS</a>
	     |  <a href='http://www.telecom-paristech.fr/' class='footerLink' target='_blank' > telecom paris tech</a>";
$C_islive = true;


